# osg::DrawElementsUShort Class Reference

Inheritance diagram for osg::DrawElementsUShort:

[legend]
List of all members.

## Public Member Functions

| DrawElementsUShort (GLenum mode=0)
| DrawElementsUShort (const DrawElementsUShort &array, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| DrawElementsUShort (GLenum mode, unsigned int no, GLushort *ptr)
| DrawElementsUShort (GLenum mode, unsigned int no)
template<class InputIterator>
| DrawElementsUShort (GLenum mode, InputIterator first, InputIterator last)
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &copyop) const
| Clone an object, with Object* return type.
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual void | draw (State &state, bool useVertexBufferObjects) const
virtual void | accept (Drawable::PrimitiveFunctor &functor) const
virtual void | accept (Drawable::PrimitiveIndexFunctor &functor) const
virtual unsigned int | getNumIndices () const
virtual unsigned int | index (unsigned int pos) const
virtual void | offsetIndices (int offset)

## Protected Types

typedef osg::buffered_value< GLuint > | GLObjectList

## Protected Member Functions

virtual | ~DrawElementsUShort ()

## Protected Attributes

GLObjectList | _vboList

## Member Typedef Documentation

typedef osg::buffered_value<GLuint> osg::DrawElementsUShort::GLObjectList `[protected]`

## Constructor & Destructor Documentation

osg::DrawElementsUShort::DrawElementsUShort | ( | GLenum | mode = `0` | ) | `[inline]`

osg::DrawElementsUShort::DrawElementsUShort | ( | const DrawElementsUShort & | array,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

osg::DrawElementsUShort::DrawElementsUShort | ( | GLenum | mode,
|  | unsigned int | no,
|  | GLushort * | ptr
| ) | `[inline]`

osg::DrawElementsUShort::DrawElementsUShort | ( | GLenum | mode,
|  | unsigned int | no
| ) | `[inline]`

template<class InputIterator>
osg::DrawElementsUShort::DrawElementsUShort | ( | GLenum | mode,
|  | InputIterator | first,
|  | InputIterator | last
| ) | `[inline]`

DrawElementsUShort::~DrawElementsUShort | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void DrawElementsUShort::accept | ( | Drawable::PrimitiveIndexFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

void DrawElementsUShort::accept | ( | Drawable::PrimitiveFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual const char* osg::DrawElementsUShort::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osg::PrimitiveSet.

virtual Object* osg::DrawElementsUShort::clone | ( | const CopyOp & | copyop | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual Object* osg::DrawElementsUShort::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

void DrawElementsUShort::draw | ( | State & | state,
|  | bool | useVertexBufferObjects
| ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual unsigned int osg::DrawElementsUShort::getNumIndices | ( |  | ) | const`[inline, virtual]`

| Implements osg::PrimitiveSet.

virtual unsigned int osg::DrawElementsUShort::index | ( | unsigned int | pos | ) | const`[inline, virtual]`

| Implements osg::PrimitiveSet.

virtual bool osg::DrawElementsUShort::isSameKindAs | ( | const Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::PrimitiveSet.

virtual const char* osg::DrawElementsUShort::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Reimplemented from osg::PrimitiveSet.

void DrawElementsUShort::offsetIndices | ( | int | offset | ) | `[virtual]`

| Implements osg::PrimitiveSet.

## Member Data Documentation

GLObjectList osg::DrawElementsUShort::_vboList `[mutable, protected]`

The documentation for this class was generated from the following files:

- PrimitiveSet
- PrimitiveSet.cpp